---
updatedAt: 2025-02-16T01:15:55.000Z
agentTools:
  projectIndex: https://docs.astra.finance/llms.txt
---

# Pagination

As of March 19, 2024, Astra is delivering paginated results by default for the following list endpoints in all environments:

| Resource            |
| :------------------ |
| `GET /v1/accounts`  |
| `GET /v1/cards`     |
| `GET /v1/routines`  |
| `GET /v1/transfers` |

There is no longer an option to return non-paginated results.

Paginated results returned are sorted by their date of creation in `descending` order.  This means that the most recent entries will be at the top of the list of results returned.  The default page size is 25, with valid range from 10-100 (page size is the maximum amount of items each request will return).